<?

    /* Скрипт обрабатывающий координаты приходящие из апплета
     записывающий их в файл и запускающий алгоритм
   
    * Автор: Матвеева П. А.
    * Дата создания: 11.04.2006
    * Дата последнего изменения: 18.05.2006
    *
    */

//извлекаем переданные данные
  
$strget=$_POST["data"]; //координаты
$iden=$_POST["id"];     //идентификатор


//обрабаботка строки

$pos=strpos($strget,"!");
$pos=$pos+1;
$str=substr($strget, $pos);

//получаем строку с координатами

//открываем файл для записи координат
$namefil=$iden.".in";
 

 $file = fopen("./files/".$namefil,"w");
  if(!$file)
    {
      echo("Ошибка открытия файла");
    }
else
{

//приводим координаты к нужному формату

   $tok = strtok($str, ",");
   while($tok) 
   {
    // echo ($tok);
     fputs ($file, $tok." ");
     $tok = strtok(";");
     //echo ($tok);
     fputs ($file, $tok."\n");
     $tok = strtok(",");
   }
   
}

//закрываем файл
fclose($file);


//запускаем алгоритм с именем только, что записанного файла
$ex="./simple1";
$in="files";

$string=".in";
$string2=".out";
$string4=" files/";

  $str=$ex.$string4.$iden.$string.$string4.$iden.$string2;     
  exec($str);


//обработка выходного файла
// приводим координаты к целочисленному типу

 $namefil1="files/".$iden.$string2;

  $file_array = file($namefil1);
  if(!$file_array)
  {
    echo("Ошибка открытия файла");
  }
  else
  {
    for($i=0; $i < count($file_array); $i++)
    {
 
   }


 
$file = fopen($namefil1,"w");
 
 $a=0;
   for ($j=0; $j<$i; $j++)
   {
   $toknew = strtok($file_array[$j], " ");
   
   while($toknew) 
   {
     $toknew=(int)$toknew;
     $massint[$a]=$toknew;
     $a=$a+1;
     $toknew = strtok(" ");
     }
   }

//запись данных в файл

   for ($i=0; $i<$a; $i++)
   {
   fputs ($file,$massint[2*$i]." ");
   fputs ($file,$massint[2*$i+1]."\n");
   }
fclose($file);

  }
//указываем имя исполняемого файла и каталог, а также расширения файлов

$ex="./mera";
$in="files";

$string=".in";
$string2=".out";
$string4=" files/";


  $str=$ex.$string4.$iden.$string.$string4.$iden.$string2;     

  //запуск алгоритма

  exec($str);


?>